create database Test_Intersection
go

USE [Test_Intersection]
GO
/****** Object:  Table [dbo].[Order]    Script Date: 03/06/2013 13:06:17 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Order](
	[OrderID] [int] NOT NULL,
	[OrderDate] [date] NOT NULL,
 CONSTRAINT [PK_Order] PRIMARY KEY CLUSTERED 
(
	[OrderID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (1, CAST(0xB1360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (2, CAST(0x72360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (3, CAST(0x97360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (4, CAST(0xBB360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (5, CAST(0x7C360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (6, CAST(0xA1360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (7, CAST(0xC5360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (8, CAST(0x86360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (9, CAST(0xAB360B00 AS Date))
INSERT [dbo].[Order] ([OrderID], [OrderDate]) VALUES (10, CAST(0xD0360B00 AS Date))
/****** Object:  Table [dbo].[Product]    Script Date: 03/06/2013 13:06:17 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Product](
	[ProductID] [int] NOT NULL,
	[ProductName] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_Product] PRIMARY KEY CLUSTERED 
(
	[ProductID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
INSERT [dbo].[Product] ([ProductID], [ProductName]) VALUES (1, N'Product A')
INSERT [dbo].[Product] ([ProductID], [ProductName]) VALUES (2, N'Product B')
INSERT [dbo].[Product] ([ProductID], [ProductName]) VALUES (3, N'Product C')
INSERT [dbo].[Product] ([ProductID], [ProductName]) VALUES (4, N'Product D')
/****** Object:  Table [dbo].[OrderRefProduct]    Script Date: 03/06/2013 13:06:17 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[OrderRefProduct](
	[OrderRefProductID] [int] IDENTITY(1,1) NOT NULL,
	[OrderID] [int] NOT NULL,
	[ProductID] [int] NOT NULL,
 CONSTRAINT [PK_OrderRefProduct] PRIMARY KEY CLUSTERED 
(
	[OrderRefProductID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET IDENTITY_INSERT [dbo].[OrderRefProduct] ON
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (1, 1, 1)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (2, 1, 2)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (3, 1, 4)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (4, 2, 1)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (5, 2, 2)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (6, 2, 4)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (7, 4, 1)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (8, 4, 2)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (9, 5, 1)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (10, 5, 2)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (11, 5, 4)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (12, 6, 3)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (13, 6, 4)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (14, 7, 1)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (15, 7, 2)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (16, 7, 3)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (17, 8, 1)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (18, 8, 3)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (19, 8, 4)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (20, 9, 2)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (21, 9, 3)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (22, 9, 4)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (23, 10, 1)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (24, 10, 2)
INSERT [dbo].[OrderRefProduct] ([OrderRefProductID], [OrderID], [ProductID]) VALUES (25, 10, 3)
SET IDENTITY_INSERT [dbo].[OrderRefProduct] OFF
/****** Object:  ForeignKey [FK_OrderRefProduct_Order]    Script Date: 03/06/2013 13:06:17 ******/
ALTER TABLE [dbo].[OrderRefProduct]  WITH CHECK ADD  CONSTRAINT [FK_OrderRefProduct_Order] FOREIGN KEY([OrderID])
REFERENCES [dbo].[Order] ([OrderID])
GO
ALTER TABLE [dbo].[OrderRefProduct] CHECK CONSTRAINT [FK_OrderRefProduct_Order]
GO
/****** Object:  ForeignKey [FK_OrderRefProduct_Product]    Script Date: 03/06/2013 13:06:17 ******/
ALTER TABLE [dbo].[OrderRefProduct]  WITH CHECK ADD  CONSTRAINT [FK_OrderRefProduct_Product] FOREIGN KEY([ProductID])
REFERENCES [dbo].[Product] ([ProductID])
GO
ALTER TABLE [dbo].[OrderRefProduct] CHECK CONSTRAINT [FK_OrderRefProduct_Product]
GO
